> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--audit/types/enums/notification-settings-type.md).

# notificationSettingsType

Types of notification settings.

### Examples

```graphql
enum NotificationSettingsType {
  EXPIRED_TOKEN
  EXPIRED_API_KEY
  SCAN_FAILURE
  PIPELINE_SCAN_FAILURE
  WORKFLOW_FAILURE
  EXCLUSION_EXPIRING
  WEEKLY_DIGEST
  RESPONSE_CENTER_INCIDENT_OPENED
  RESPONSE_CENTER_INCIDENT_STATUS_CHANGED
}
```

### Enum values

| Enum value                                  | Description |
| ------------------------------------------- | ----------- |
| EXPIRED\_TOKEN                              |             |
| EXPIRED\_API\_KEY                           |             |
| SCAN\_FAILURE                               |             |
| PIPELINE\_SCAN\_FAILURE                     |             |
| WORKFLOW\_FAILURE                           |             |
| EXCLUSION\_EXPIRING                         |             |
| WEEKLY\_DIGEST                              |             |
| RESPONSE\_CENTER\_INCIDENT\_OPENED          |             |
| RESPONSE\_CENTER\_INCIDENT\_STATUS\_CHANGED |             |

### References

#### Fields with this object:

* [{} NotificationSettingItem.type](/api-documentation/api-reference/api--audit/types/objects/notification-setting-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/enums/notification-settings-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
